Subject: [MMUSIC] RFC 7261 [codec G729AB]

From: Hicham EL ALAOUI <[email-masked]>
Date: Tue, 21 Jan 2020 10:48:14 +0000

Bonjour,

J'ai une question à vous poser si vous pouvez m'aider :
Le RFC 7261, publié par l'IETF en mai 2014, ne prévoyait pas le CODEC G729AB, actuellement je cherche sa date et sa publication par l'IETF.

Merci d'avance pour votre aide.

Hicham EL ALAOUI
Customer Support Engineer
Mobile : 002126 68 40 21 23
Phone : +212 5 22 58 16 00
Siham 20, n°9 La colline
Sidi Maarouf, 20190
Casablanca, Maroc
www.vocalcom.com
Please consider the environment before printing this email. If you are not the intended recipient of this message, then please delete it and notify the sender.

---

From: "Roni Even (A)" <[email-masked]>
Date: Thu, 23 Jan 2020 06:54:01 +0000

Look at RFC3555 and RFC3551
Roni Even

From: mmusic [mailto:[email-masked]] On Behalf Of Hicham EL ALAOUI
Sent: Tuesday, January 21, 2020 12:48 PM
To: [email-masked]
Subject: [MMUSIC] RFC 7261 [codec G729AB]

Bonjour,

J’ai une question à vous poser si vous pouvez m’aider :
Le RFC 7261, publié par l’IETF en mai 2014, ne prévoyait pas le CODEC G729AB, actuellement je cherche sa date et sa publication par l’IETF.

Merci d’avance pour votre aide.

Hicham EL ALAOUI​

Mobile :

002126 68 40 21 23<tel:002126%2068%2040%2021%2023>

Phone :

+212 5 22 58 16 00<tel:+212%205%2022%2058%2016%2000>

Siham 20, n°9 La colline
Sidi Maarouf, 20190
Casablanca, Maroc

www.<https://www.vocalcom.com/>vocalcom<https://www.vocalcom.com/>.com<https://www.vocalcom.com/>

[Image removed by sender.]<https://www.vocalcom.com/en/latest-blog/?no-cache>

[Image removed by sender. LinkedIn]<https://www.linkedin.com/company/vocalcom>

[Image removed by sender. Facebook]<https://www.facebook.com/Vocalcom/>

[Image removed by sender. Instagram]<https://www.instagram.com/vocalcom/>

[Image removed by sender. Twitter]<https://twitter.com/vocalcom>

[Image removed by sender. YouTube]<https://www.youtube.com/user/vocalcom>

[Image removed by sender.]<https://www.vocalcom.com/en/next-event/?no-cache>

---

From: "Roni Even (A)" <[email-masked]>
Date: Thu, 23 Jan 2020 06:58:01 +0000

RFC4856 obsoletes RFC3555
Roni Even

From: mmusic [mailto:[email-masked]] On Behalf Of Roni Even (A)
Sent: Thursday, January 23, 2020 8:54 AM
To: Hicham EL ALAOUI; [email-masked]
Subject: Re: [MMUSIC] RFC 7261 [codec G729AB]

From: mmusic [mailto:[email-masked]] On Behalf Of Hicham EL ALAOUI
Sent: Tuesday, January 21, 2020 12:48 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [MMUSIC] RFC 7261 [codec G729AB]

Bonjour,

Hicham EL ALAOUI​

Mobile :

Phone :

Siham 20, n°9 La colline
Sidi Maarouf, 20190
Casablanca, Maroc

---

From: Jan Bollen <[email-masked]>
Date: Thu, 23 Jan 2020 12:06:41 +0100

Bonjour, 

 RFC3551 states: 

_A reduced-complexity version of the
G.729 algorithm is specified in Annex A to Rec. G.729. The speech coding
algorithms in the main body of G.729 and in G.729 Annex A are fully
interoperable with each other, so there is no need to further
distinguish between them. _ 

Hence I would think that Annex B (VAD &
CNG) indication in the SDP attribute rtpmap/fmtp should work for G729
and G729A:

a = rtpmap:18 G729/8000
a = fmtp:18 annexb=yes

The
publication of G729 Annex B can be found on the ITU specs pages. E.g. :
https://www.itu.int/rec/T-REC-G.729/fr

cheers,
jan

On Tue, 21 Jan 2020
10:48:14 +0000, Hicham EL ALAOUI wrote: 

> J'ai une
question à vous poser si vous pouvez m'aider : 
> Le RFC 7261, publié
par l'IETF en mai 2014, ne prévoyait pas le CODEC G729AB, actuellement
je cherche sa date et sa publication par l'IETF. 
> Customer Support
Engineer
> 002126 68 40 21 23
> +212 5 22
58 16 00
Casablanca, Maroc 
> 
> WWW. [1]VOCALCOM [2].COM [3]
> 
> [4]
> 
> [5]
>

> [6]
> [7]
> [8]
> [9]
> [10]
> Please consider the
environment before printing this email. If you are not the intended
recipient of this message, then please delete it and notify the
sender.

Links:
------
[1] https://www.vocalcom.com/
[2]
https://www.vocalcom.com/
[3] https://www.vocalcom.com/
[4]
https://www.vocalcom.com/en/latest-blog/?no-cache
[5]
https://www.linkedin.com/company/vocalcom
[6]
https://www.facebook.com/Vocalcom/
[7]
https://www.instagram.com/vocalcom/
[8] https://twitter.com/vocalcom
[9]
https://www.youtube.com/user/vocalcom
[10]
https://www.vocalcom.com/en/next-event/?no-cache

---

From: Hicham EL ALAOUI <[email-masked]>
Date: Thu, 23 Jan 2020 07:48:00 +0000

Thank u Roni.

Hicham EL ALAOUI
Customer Support Engineer
Mobile : 002126 68 40 21 23
Phone : +212 5 22 58 16 00
Siham 20, n°9 La colline
Sidi Maarouf, 20190
Casablanca, Maroc
www.vocalcom.com
Please consider the environment before printing this email. If you are not the intended recipient of this message, then please delete it and notify the sender.
________________________________
From: Roni Even (A) <[email-masked]>
Sent: Thursday, January 23, 2020 7:58:01 AM
To: Roni Even (A) <[email-masked]>; Hicham EL ALAOUI <[email-masked]>; [email-masked] <[email-masked]>
Subject: RE: RFC 7261 [codec G729AB]

Roni Even

Roni Even

Bonjour,

Hicham EL ALAOUI​

Mobile :

Phone :

Siham 20, n°9 La colline
Sidi Maarouf, 20190
Casablanca, Maroc